#数据源配置
spring:
  redis:
    host: redis
    port: 6379
    password: Platomix@redis123
    database: 0
    ssl: false
  datasource:
    dynamic:
      druid:
         validation-query: 'select 1'
         validation-query-timeout: 2000
         initial-size: 1
         max-active: 1
         min-idle: 1
         max-wait: 60000
         test-on-borrow: false
         test-on-return: false
         test-while-idle: true
         time-between-eviction-runs-millis: 60000
         min-evictable-idle-time-millis: 300000
         stat-view-servlet:
           enabled: false
         web-stat-filter:
           enabled: false
         filters: stat
      #设置默认的数据源或者数据源组,默认值即为master
      primary: master
      datasource:
        master:
          url: jdbc:kingbase8://121.204.249.37:54321/digital_operation?currentSchema=digital_operation&connectTimeout=10&loginTimeout=10
          username: kingbase
          password: Platomix@kingbase123

log:
   path: /dockerDir/logs/system

#blade配置
blade:
  #本地文件上传
  file:
      uploadPath: /dockerDir/uploads/
      uploadFace: /dockerDir/uploads/face/
  #素材文件上传管理
  material:
     uploadPath: ${blade.file.uploadPath}
     domain: http://file.demo.aclass.baca-ai.com/
      
#人脸识别【已弃用】
baiduAI:
   apiKey: tXiazsSTohFoOGqn9wQgTWvZ
   secretKey: PFYmLd8R43sTCODVCmEcq3vNCFLC3fDG
   accUrl: https://aip.baidubce.com/oauth/2.0/token
   groupId: by_unicom_facegroup_sys
   
#人脸识别【使用中】
customAI:
   apiKey: 693d1d320ba14c56b97b3fd7
   secretKey: ff05155806f0416f97e34cdadbc22758
   accUrl: https://opapi.bol.wo.cn/aicgi/oauth/2.0/token
   groupId: by_unicom_facegroup_sys
   
wxPay:
  wxAppid: wxf6c238d9e4698994
  wxSecret: b567044d42a63a0b160aa0621dc28340
  jscodeUrl: https://api.weixin.qq.com/sns/jscode2session
  
#wechatOpen:
wechatOpen:
   appId: wxefbbcf6905f20de1
   secret: 87bf1e08a27fe9d66832f6548f2d0731
   autoUrl: https://windata.platomix.net/api/wechat/api/getAuthInformation
   
wechatApp:
   appId: wx3466c53d33b9dbdc
   secret: f7d9a3dfb60c1f80660833cbac413534
   code2SessionUrl: https://api.q.qq.com/sns/jscode2session?appid=${wechatApp.appId}&secret=${wechatApp.secret}&js_code=%s&grant_type=authorization_code

datasource:
  type: mysql